Name:          neethi
Version:       3.0.3
Release:       1%{?dist}
Summary:       Web Services Policy framework
License:       ASL 2.0
URL:           http://ws.apache.org/neethi/
Source0:       http://archive.apache.org/dist/ws/neethi/%{version}/neethi-%{version}-source-release.zip
BuildArch:     noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache:apache:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.ws.commons.axiom:axiom-api)
BuildRequires:  mvn(org.apache.ws.commons.axiom:axiom-dom)
BuildRequires:  mvn(org.apache.ws.commons.axiom:axiom-impl)
BuildRequires:  mvn(org.codehaus.woodstox:woodstox-core-asl)

Requires:       axiom >= 1.2.14

%description
Apache Neethi provides general framework for the programmers to
use WS Policy. It is compliant with latest WS Policy specification
which was published in March 2006. This framework is specifically
written to enable the Apache Web services stack to use WS Policy as
a way of expressing it's requirements and capabilities.

%package javadoc
Summary:      API documentation for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

# These plugins are not needed for RPM builds
%pom_remove_plugin :apache-rat-plugin
%pom_remove_plugin :maven-source-plugin

%mvn_file : %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.txt RELEASE-NOTE.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Tue Apr 17 2018 Mat Booth <mat.booth@redhat.com> - 3.0.3-1
- Update to newer upstream release
- Enable tests

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 29 2018 Merlin Mathesius <mmathesi@redhat.com> - 3.0.1-15
- Add missing BuildRequires to fix FTBFS

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jun 21 2016 gil cattaneo <puntogil@libero.it> 3.0.1-12
- add missing build requires

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb 10 2015 gil cattaneo <puntogil@libero.it> 3.0.1-9
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 3.0.1-7
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 17 2013 Mat Booth <fedora@matbooth.co.uk> - 3.0.1-6
- Update for newer guidelines, rhbz #992335
- Install licences

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 3.0.1-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 16 2012 Andy Grimm <agrimm@gmail.com> - 3.0.1-1
- Initial package
